> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Category Attribute Config

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml get /catalog/v0/category_attribute_config
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /catalog/v0/category_attribute_config:
    get:
      tags:
        - Catalog Push API (v0)
      summary: Get Category Attribute Config
      operationId: get_category_attribute_config_catalog_v0_category_attribute_config_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  $ref: '#/components/schemas/AttributeMetadata'
                type: object
                title: >-
                  Response Get Category Attribute Config Catalog V0 Category
                  Attribute Config Get
      security:
        - HTTPBearer: []
components:
  schemas:
    AttributeMetadata:
      properties:
        attribute_type:
          $ref: '#/components/schemas/AttributeType'
        dimension:
          $ref: '#/components/schemas/Dimension'
        required:
          type: boolean
          title: Required
          default: true
        dimension_keys:
          items:
            type: string
          type: array
          uniqueItems: true
          title: Dimension Keys
      additionalProperties: false
      type: object
      required:
        - attribute_type
        - dimension
        - dimension_keys
      title: AttributeMetadata
      description: Full information about an attribute, generated during ingestion
    AttributeType:
      type: string
      enum:
        - bool
        - int
        - float
        - str
        - datetime
        - gender
        - age
        - color_hex
        - dict[str,]
        - list[bool]
        - list[int]
        - list[float]
        - list[str]
        - list[dict[str,]]
        - any
        - uuid
        - list[uuid]
      title: AttributeType
    Dimension:
      type: string
      enum:
        - base
        - inventory
        - locale
        - store
        - pricelist
      title: Dimension
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````